import 'package:flutter/material.dart';
import 'package:dark_hachi_transition/dark_hachi_transition.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Material App',
      initialRoute: 'page1',
      routes: {
        'page1': (context) => Page1(),
        'page2': (context) => Page2(),
      },
    );
  }
}

class Page1 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
          title: Text('Pagina 1'),
          backgroundColor: Colors.transparent,
          centerTitle: true),
      backgroundColor: Colors.blue,
      body: Center(
        child: MaterialButton(
          child: Text('Pagina 2'),
          color: Colors.transparent,
          onPressed: () {
            RouteTransitions(
              context: context,
              child: Page2(),
              animation: AnimationType.fadeIn,
              duration: Duration(seconds: 2),
              replacement: true,
            );
          },
        ),
      ),
    );
  }
}

class Page2 extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
          title: Text('Pagina 2'),
          backgroundColor: Colors.transparent,
          centerTitle: true),
      backgroundColor: Colors.red,
      body: Center(
        child: Text('Pagina 2'),
      ),
    );
  }
}
